Bug 754197

Summary: When agent runs on loopback address, the advisory text is incorrect. Administration > High Availability does not exist
Product: [Other] RHQ Project Reporter: Mike Foley <mfoley>
Component: AgentAssignee: Jay Shaughnessy <jshaughn>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: low Docs Contact:
Priority: low    
Version: 4.2CC: hrupp, jshaughn
Target Milestone: ---   
Target Release: RHQ 4.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.3 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-09-01 06:13:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Mike Foley 2011-11-15 12:01:01 EST
Description of problem:  When agent runs  on loopback address, the advisory text is incorrect.  Administration > High Availability  does not exist 

!!! A server has registered under a loopback address [localhost] - this should only be done for testing and demo purposes. Only agents running on the same machine as that server will be able to interact with that server successfully. Please double check that you really want your server to have a public endpoint of [localhost]. See the Administration > High Availability > Servers menu in the server GUI to change the public endpoint of the server.
>
Comment 1 Jay Shaughnessy 2011-11-28 13:51:14 EST
Master commit 4443f017ce764353f41e4c4ca17d334af5742234

fixed text
Comment 2 Mike Foley 2011-11-29 11:47:56 EST
changing priority to low ... this is only in master (not jon 3)
Comment 3 Mike Foley 2011-12-12 14:18:21 EST
documenting the verification....RHQ 4.3 master

[root@foleymonsterbox1 bin]# ./rhq-agent.sh --cleanconfig
RHQ 4.3.0-SNAPSHOT [48a945c] (Mon Dec 12 08:45:19 EST 2011)
Answer the following questions to setup this RHQ Agent instance.
- After each prompt, a default value will appear in square brackets.
  If you press the ENTER key without providing any value,
  the new preference value will be set to that default value.
- If you wish to rely on the system internal default value and
  not define any preference value, enter '!*'.
- If you wish to stop before finishing all the questions but still
  retain those preferences you already set, enter '!+'.
- If you wish to cancel before finishing all the questions and revert
  all preferences back to their original values, enter '!-'.
- If you need help for a particular preference, enter '!?'.

Agent Name [foleymonsterbox1.foleyhomenetwork] : 
Agent Hostname or IP Address [!*] : 127.0.0.1
Agent Port [16163] : 
RHQ Server Hostname or IP Address [10.11.9.138] : 127.0.0.1
RHQ Server Port [7080] : 
The setup has been completed for the preferences at node [/rhq-agent/default].
!!! This agent is registering under the loopback address [socket://127.0.0.1:16163/?rhq.communications.connector.rhqtype=agent&numAcceptThreads=1&maxPoolSize=303&clientMaxPoolSize=304&socketTimeout=60000&enableTcpNoDelay=true&backlog=200] - this should only be done for testing or demo purposes - this agent will only be able to interact with a server running on the same host as this agent
>


....the loopback address is displaying oddly for me ... there seems to be some additional text about threads, timeouts, TCP delays???   this doesn't look quite right to me ... i was just expecting the IP address 127.0.0.1 ... not the additional text.  

doesn't look right to me.  is this the expected behavior?
Comment 4 Jay Shaughnessy 2012-02-10 10:26:25 EST
I don't see this, it looks fine to me. Do you still see this?
Comment 5 Heiko W. Rupp 2013-09-01 06:13:47 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.